---
lang: en
title: 'API docs: express.handlercontext'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.handlercontext.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [HandlerContext](./express.handlercontext.md)

## HandlerContext interface

An object holding HTTP request, response and other data needed to handle an incoming HTTP request.

<b>Signature:</b>

```typescript
export interface HandlerContext 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [request](./express.handlercontext.request.md) | Request |  |
|  [response](./express.handlercontext.response.md) | Response |  |


